/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;

/**
 * DetailWaterRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class DetailWaterRequest {
  @SerializedName("is_inside_housing_leakage")
  private Boolean isInsideHousingLeakage = null;

  @SerializedName("is_valve_flush_boiler_water_heater_softener")
  private Boolean isValveFlushBoilerWaterHeaterSoftener = null;

  @SerializedName("is_after_water_meter")
  private Boolean isAfterWaterMeter = null;

  @SerializedName("is_leakage_visible")
  private Boolean isLeakageVisible = null;

  @SerializedName("is_inside_waterlogging")
  private Boolean isInsideWaterlogging = null;

  @SerializedName("is_inside_waterlogging_caused_by_rainwater")
  private Boolean isInsideWaterloggingCausedByRainwater = null;

  @SerializedName("is_outside_waterlogging")
  private Boolean isOutsideWaterlogging = null;

  @SerializedName("is_outside_waterlogging_caused_by_rainwater")
  private Boolean isOutsideWaterloggingCausedByRainwater = null;

  @SerializedName("is_cap_inside_housing")
  private Boolean isCapInsideHousing = null;

  @SerializedName("is_skeptic_tank_grease_trap_drained")
  private Boolean isSkepticTankGreaseTrapDrained = null;

  @SerializedName("is_waterlogging_on_drainage_network")
  private Boolean isWaterloggingOnDrainageNetwork = null;

  @SerializedName("is_drainage_proof_available")
  private Boolean isDrainageProofAvailable = null;

  @SerializedName("suggested_decision")
  private String suggestedDecision = null;

  @SerializedName("additional_information")
  private String additionalInformation = null;

  public DetailWaterRequest isInsideHousingLeakage(Boolean isInsideHousingLeakage) {
    this.isInsideHousingLeakage = isInsideHousingLeakage;
    return this;
  }

   /**
   * Is the leakage happening inside the housing?
   * @return isInsideHousingLeakage
  **/
  @ApiModelProperty(example = "true", value = "Is the leakage happening inside the housing?")
  public Boolean isIsInsideHousingLeakage() {
    return isInsideHousingLeakage;
  }

  public void setIsInsideHousingLeakage(Boolean isInsideHousingLeakage) {
    this.isInsideHousingLeakage = isInsideHousingLeakage;
  }

  public DetailWaterRequest isValveFlushBoilerWaterHeaterSoftener(Boolean isValveFlushBoilerWaterHeaterSoftener) {
    this.isValveFlushBoilerWaterHeaterSoftener = isValveFlushBoilerWaterHeaterSoftener;
    return this;
  }

   /**
   * Is the issue due to the valve, the flush, the boiler, the water heater or the softener?
   * @return isValveFlushBoilerWaterHeaterSoftener
  **/
  @ApiModelProperty(example = "false", value = "Is the issue due to the valve, the flush, the boiler, the water heater or the softener?")
  public Boolean isIsValveFlushBoilerWaterHeaterSoftener() {
    return isValveFlushBoilerWaterHeaterSoftener;
  }

  public void setIsValveFlushBoilerWaterHeaterSoftener(Boolean isValveFlushBoilerWaterHeaterSoftener) {
    this.isValveFlushBoilerWaterHeaterSoftener = isValveFlushBoilerWaterHeaterSoftener;
  }

  public DetailWaterRequest isAfterWaterMeter(Boolean isAfterWaterMeter) {
    this.isAfterWaterMeter = isAfterWaterMeter;
    return this;
  }

   /**
   * Is the leakage happening after the water meter?
   * @return isAfterWaterMeter
  **/
  @ApiModelProperty(example = "true", value = "Is the leakage happening after the water meter?")
  public Boolean isIsAfterWaterMeter() {
    return isAfterWaterMeter;
  }

  public void setIsAfterWaterMeter(Boolean isAfterWaterMeter) {
    this.isAfterWaterMeter = isAfterWaterMeter;
  }

  public DetailWaterRequest isLeakageVisible(Boolean isLeakageVisible) {
    this.isLeakageVisible = isLeakageVisible;
    return this;
  }

   /**
   * Can you see the leakage?
   * @return isLeakageVisible
  **/
  @ApiModelProperty(example = "true", value = "Can you see the leakage?")
  public Boolean isIsLeakageVisible() {
    return isLeakageVisible;
  }

  public void setIsLeakageVisible(Boolean isLeakageVisible) {
    this.isLeakageVisible = isLeakageVisible;
  }

  public DetailWaterRequest isInsideWaterlogging(Boolean isInsideWaterlogging) {
    this.isInsideWaterlogging = isInsideWaterlogging;
    return this;
  }

   /**
   * Is the waterlogging inside the housing?
   * @return isInsideWaterlogging
  **/
  @ApiModelProperty(example = "true", value = "Is the waterlogging inside the housing?")
  public Boolean isIsInsideWaterlogging() {
    return isInsideWaterlogging;
  }

  public void setIsInsideWaterlogging(Boolean isInsideWaterlogging) {
    this.isInsideWaterlogging = isInsideWaterlogging;
  }

  public DetailWaterRequest isInsideWaterloggingCausedByRainwater(Boolean isInsideWaterloggingCausedByRainwater) {
    this.isInsideWaterloggingCausedByRainwater = isInsideWaterloggingCausedByRainwater;
    return this;
  }

   /**
   * Is inside waterlogging caused by rainwater?
   * @return isInsideWaterloggingCausedByRainwater
  **/
  @ApiModelProperty(example = "true", value = "Is inside waterlogging caused by rainwater?")
  public Boolean isIsInsideWaterloggingCausedByRainwater() {
    return isInsideWaterloggingCausedByRainwater;
  }

  public void setIsInsideWaterloggingCausedByRainwater(Boolean isInsideWaterloggingCausedByRainwater) {
    this.isInsideWaterloggingCausedByRainwater = isInsideWaterloggingCausedByRainwater;
  }

  public DetailWaterRequest isOutsideWaterlogging(Boolean isOutsideWaterlogging) {
    this.isOutsideWaterlogging = isOutsideWaterlogging;
    return this;
  }

   /**
   * Is the waterlogging outside the housing?
   * @return isOutsideWaterlogging
  **/
  @ApiModelProperty(example = "true", value = "Is the waterlogging outside the housing?")
  public Boolean isIsOutsideWaterlogging() {
    return isOutsideWaterlogging;
  }

  public void setIsOutsideWaterlogging(Boolean isOutsideWaterlogging) {
    this.isOutsideWaterlogging = isOutsideWaterlogging;
  }

  public DetailWaterRequest isOutsideWaterloggingCausedByRainwater(Boolean isOutsideWaterloggingCausedByRainwater) {
    this.isOutsideWaterloggingCausedByRainwater = isOutsideWaterloggingCausedByRainwater;
    return this;
  }

   /**
   * Is outside waterlogging caused by rainwater?
   * @return isOutsideWaterloggingCausedByRainwater
  **/
  @ApiModelProperty(example = "true", value = "Is outside waterlogging caused by rainwater?")
  public Boolean isIsOutsideWaterloggingCausedByRainwater() {
    return isOutsideWaterloggingCausedByRainwater;
  }

  public void setIsOutsideWaterloggingCausedByRainwater(Boolean isOutsideWaterloggingCausedByRainwater) {
    this.isOutsideWaterloggingCausedByRainwater = isOutsideWaterloggingCausedByRainwater;
  }

  public DetailWaterRequest isCapInsideHousing(Boolean isCapInsideHousing) {
    this.isCapInsideHousing = isCapInsideHousing;
    return this;
  }

   /**
   * Is the cap inside the housing?
   * @return isCapInsideHousing
  **/
  @ApiModelProperty(example = "true", value = "Is the cap inside the housing?")
  public Boolean isIsCapInsideHousing() {
    return isCapInsideHousing;
  }

  public void setIsCapInsideHousing(Boolean isCapInsideHousing) {
    this.isCapInsideHousing = isCapInsideHousing;
  }

  public DetailWaterRequest isSkepticTankGreaseTrapDrained(Boolean isSkepticTankGreaseTrapDrained) {
    this.isSkepticTankGreaseTrapDrained = isSkepticTankGreaseTrapDrained;
    return this;
  }

   /**
   * Has skeptic tank or grease trap been drained the past two years?
   * @return isSkepticTankGreaseTrapDrained
  **/
  @ApiModelProperty(example = "false", value = "Has skeptic tank or grease trap been drained the past two years?")
  public Boolean isIsSkepticTankGreaseTrapDrained() {
    return isSkepticTankGreaseTrapDrained;
  }

  public void setIsSkepticTankGreaseTrapDrained(Boolean isSkepticTankGreaseTrapDrained) {
    this.isSkepticTankGreaseTrapDrained = isSkepticTankGreaseTrapDrained;
  }

  public DetailWaterRequest isWaterloggingOnDrainageNetwork(Boolean isWaterloggingOnDrainageNetwork) {
    this.isWaterloggingOnDrainageNetwork = isWaterloggingOnDrainageNetwork;
    return this;
  }

   /**
   * Is the waterlogging on your drainage network?
   * @return isWaterloggingOnDrainageNetwork
  **/
  @ApiModelProperty(example = "false", value = "Is the waterlogging on your drainage network?")
  public Boolean isIsWaterloggingOnDrainageNetwork() {
    return isWaterloggingOnDrainageNetwork;
  }

  public void setIsWaterloggingOnDrainageNetwork(Boolean isWaterloggingOnDrainageNetwork) {
    this.isWaterloggingOnDrainageNetwork = isWaterloggingOnDrainageNetwork;
  }

  public DetailWaterRequest isDrainageProofAvailable(Boolean isDrainageProofAvailable) {
    this.isDrainageProofAvailable = isDrainageProofAvailable;
    return this;
  }

   /**
   * Do you have a drainage proof of less than 2 years?
   * @return isDrainageProofAvailable
  **/
  @ApiModelProperty(example = "false", value = "Do you have a drainage proof of less than 2 years?")
  public Boolean isIsDrainageProofAvailable() {
    return isDrainageProofAvailable;
  }

  public void setIsDrainageProofAvailable(Boolean isDrainageProofAvailable) {
    this.isDrainageProofAvailable = isDrainageProofAvailable;
  }

  public DetailWaterRequest suggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
    return this;
  }

   /**
   * Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)
   * @return suggestedDecision
  **/
  @ApiModelProperty(example = "ASSIGN_PRV", value = "Decision suggested for the declaration. Expected values (DEMAND_ADDITIONAL_INFO, ASSIGN_PRV, INFORM_REFUS, REQUEST_DOC_PROOF)")
  public String getSuggestedDecision() {
    return suggestedDecision;
  }

  public void setSuggestedDecision(String suggestedDecision) {
    this.suggestedDecision = suggestedDecision;
  }

  public DetailWaterRequest additionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
    return this;
  }

   /**
   * Additional information to precise the decision or the damage
   * @return additionalInformation
  **/
  @ApiModelProperty(value = "Additional information to precise the decision or the damage")
  public String getAdditionalInformation() {
    return additionalInformation;
  }

  public void setAdditionalInformation(String additionalInformation) {
    this.additionalInformation = additionalInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DetailWaterRequest detailWaterRequest = (DetailWaterRequest) o;
    return Objects.equals(this.isInsideHousingLeakage, detailWaterRequest.isInsideHousingLeakage) &&
        Objects.equals(this.isValveFlushBoilerWaterHeaterSoftener, detailWaterRequest.isValveFlushBoilerWaterHeaterSoftener) &&
        Objects.equals(this.isAfterWaterMeter, detailWaterRequest.isAfterWaterMeter) &&
        Objects.equals(this.isLeakageVisible, detailWaterRequest.isLeakageVisible) &&
        Objects.equals(this.isInsideWaterlogging, detailWaterRequest.isInsideWaterlogging) &&
        Objects.equals(this.isInsideWaterloggingCausedByRainwater, detailWaterRequest.isInsideWaterloggingCausedByRainwater) &&
        Objects.equals(this.isOutsideWaterlogging, detailWaterRequest.isOutsideWaterlogging) &&
        Objects.equals(this.isOutsideWaterloggingCausedByRainwater, detailWaterRequest.isOutsideWaterloggingCausedByRainwater) &&
        Objects.equals(this.isCapInsideHousing, detailWaterRequest.isCapInsideHousing) &&
        Objects.equals(this.isSkepticTankGreaseTrapDrained, detailWaterRequest.isSkepticTankGreaseTrapDrained) &&
        Objects.equals(this.isWaterloggingOnDrainageNetwork, detailWaterRequest.isWaterloggingOnDrainageNetwork) &&
        Objects.equals(this.isDrainageProofAvailable, detailWaterRequest.isDrainageProofAvailable) &&
        Objects.equals(this.suggestedDecision, detailWaterRequest.suggestedDecision) &&
        Objects.equals(this.additionalInformation, detailWaterRequest.additionalInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(isInsideHousingLeakage, isValveFlushBoilerWaterHeaterSoftener, isAfterWaterMeter, isLeakageVisible, isInsideWaterlogging, isInsideWaterloggingCausedByRainwater, isOutsideWaterlogging, isOutsideWaterloggingCausedByRainwater, isCapInsideHousing, isSkepticTankGreaseTrapDrained, isWaterloggingOnDrainageNetwork, isDrainageProofAvailable, suggestedDecision, additionalInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DetailWaterRequest {\n");
    
    sb.append("    isInsideHousingLeakage: ").append(toIndentedString(isInsideHousingLeakage)).append("\n");
    sb.append("    isValveFlushBoilerWaterHeaterSoftener: ").append(toIndentedString(isValveFlushBoilerWaterHeaterSoftener)).append("\n");
    sb.append("    isAfterWaterMeter: ").append(toIndentedString(isAfterWaterMeter)).append("\n");
    sb.append("    isLeakageVisible: ").append(toIndentedString(isLeakageVisible)).append("\n");
    sb.append("    isInsideWaterlogging: ").append(toIndentedString(isInsideWaterlogging)).append("\n");
    sb.append("    isInsideWaterloggingCausedByRainwater: ").append(toIndentedString(isInsideWaterloggingCausedByRainwater)).append("\n");
    sb.append("    isOutsideWaterlogging: ").append(toIndentedString(isOutsideWaterlogging)).append("\n");
    sb.append("    isOutsideWaterloggingCausedByRainwater: ").append(toIndentedString(isOutsideWaterloggingCausedByRainwater)).append("\n");
    sb.append("    isCapInsideHousing: ").append(toIndentedString(isCapInsideHousing)).append("\n");
    sb.append("    isSkepticTankGreaseTrapDrained: ").append(toIndentedString(isSkepticTankGreaseTrapDrained)).append("\n");
    sb.append("    isWaterloggingOnDrainageNetwork: ").append(toIndentedString(isWaterloggingOnDrainageNetwork)).append("\n");
    sb.append("    isDrainageProofAvailable: ").append(toIndentedString(isDrainageProofAvailable)).append("\n");
    sb.append("    suggestedDecision: ").append(toIndentedString(suggestedDecision)).append("\n");
    sb.append("    additionalInformation: ").append(toIndentedString(additionalInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

